.age-gate__buttons .age-gate__submit {
	border: inherit;
}

a {
	color: var(--e-global-color-primary);	
}

.elementor-column-gap-default>.elementor-column>.elementor-element-populated {
    padding: 20px;
}

.elementor-button-link {
	transition: .2s;
}

.elementor-button-link:hover {
	transform: translateY(-3px);	
}

body:not([class*=elementor-page-]) .site-main {
	padding-right: 20px;
	padding-left: 20px;
}

.woocommerce-cart .site-main,
.woocommerce-checkout .site-main,
.woocommerce-account .site-main {
	margin-top: 50px;
	margin-bottom: 50px;
	padding-right: 20px;
	padding-left: 20px;
}


.woocommerce-cart .site-main h1,
.woocommerce-checkout .site-main h1 {
	padding: 0;
}

/* Woocommerce Notices Wrapper */
.woocommerce-notices-wrapper {
	max-width: 1140px;
	margin: 0 auto;
}

@media (max-width: 599px ) {
	
	.woocommerce-notices-wrapper .woocommerce-message .button {
		margin-top: 8px;
		width: 100%;
		text-align: center;
	}
}

@media (min-width: 600px ) {
	.woocommerce-notices-wrapper .woocommerce-message {
		display: flex;
		align-items: center;
		padding: 0.7em 2em;
	}

	.woocommerce-notices-wrapper .woocommerce-message::before {
		position: unset
	}

	.woocommerce-notices-wrapper .woocommerce-message .cstm-msg {
		margin: 0 6px;
	}

	.woocommerce-notices-wrapper .woocommerce-message .button {
		margin-left: auto;
		text-align: center;
	}
}

/* Woocommerce Price color on single page */
.woocommerce div.product p.price, 
.woocommerce div.product span.price {
	    color: var(--e-global-color-primary );
}

/* Woocommerce Breadcrumbs */
.woocommerce .woocommerce-breadcrumb a {
	color: var(--e-global-color-primary );
	font-family: 'poppins';
	font-weight: 400;
	text-transform: none;
}

/*
 * Woocommerce My Account
 */
.woocommerce-account .page-content {
    margin-bottom: 80px;
}

.woocommerce-account .page-header {
    margin-bottom: 26px;
}

@media ( min-width: 769px ) {
    .woocommerce-account .woocommerce-MyAccount-navigation {
        width: 20%;
    }

    .woocommerce-account .woocommerce-MyAccount-content {
      width: 75%;
    }
}

.woocommerce-account .woocommerce-MyAccount-navigation ul {
    padding: 0;
	border-top: 1px solid #fff;
    margin-bottom: 40px;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li {
	list-style: none;
	border-bottom: 1px solid #fff;
	padding-bottom: 0;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li.is-active a {
    background-color: var( --e-global-color-accent );
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li a {
    background-color: #eaeaea;
	padding: 10px;
	display: block;
    color: #363636;
    text-decoration: none;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li a:hover {
    background-color: var( --e-global-color-accent );
}

.woocommerce-account .woocommerce-MyAccount-content h2 {
	font-size: 25px;
    text-align: center;
	font-weight: 600;
}

.woocommerce-account p.order-again {
    text-align: right;
}

.woocommerce-account .woocommerce-EditAccountForm input[type="submit"] {
    margin-top: 50px;
    float: right;
}

/*
 * Woocommerce Shoppingcart
 */
.woocommerce-cart .woocommerce table.shop_table {
    border: none;
    margin: 0 0 24px;
    text-align: left;
    width: 100%;
    border-radius: 0;
}

.woocommerce-cart .woocommerce a.remove {
    color: var(--e-global-color-primary) !important;
	font-family: 'poppins';
}

.woocommerce-cart .woocommerce a.remove:hover {
    color: #fff !important;
    background-color: var(--e-global-color-primary) !important;
}

.woocommerce-cart.woocommerce-page #content .woocommerce table.cart tr .product-thumbnail {
    width: 74px;
}

.woocommerce-cart.woocommerce-page #content .woocommerce table.cart tr .product-thumbnail img {
    width: 54px;
    display: block;
}

.woocommerce-cart .woocommerce table td,
.woocommerce-cart .woocommerce table th {
    border: solid 1px #fff;
}

.woocommerce-cart .woocommerce table thead:first-child tr:first-child th {
    border-top: solid 1px #fff;
}

.woocommerce-cart .woocommerce table tbody>tr:nth-child(odd)>th,
.woocommerce-cart .woocommerce table tbody>tr:nth-child(odd)>td {
    background-color: #f2f2f2;
}

.woocommerce-cart .woocommerce table tbody tr:hover>td,
.woocommerce-cart .woocommerce table tbody tr:hover>th {
    background-color: #f2f2f2;
}

.woocommerce-cart .woocommerce table .active {
	background-color: #f2f2f2;
}

.woocommerce-cart .woocommerce .coupon {
    display: flex;
}

.woocommerce-cart.woocommerce-page #content .woocommerce table.cart td.actions .coupon .input-text {
    width: 136px;
    background-color: #fff;
    border: none;
    margin: 0;
}

.woocommerce-cart.woocommerce-page #content .woocommerce table.cart td.actions .coupon .button {
    width: 100%;
    padding: 16px;
    border-radius: 0;
    background-color: var(--e-global-color-primary);
    color: #fff;
    font-weight: 400;
}

.woocommerce-cart.woocommerce-page #content .woocommerce table.cart td.actions .coupon .button:hover {
    background-color: var(--e-global-color-164fcf6);
}

.woocommerce-cart.woocommerce-page #content .woocommerce table.cart td.actions .button {
    padding: 16px;
    border-radius: 0;
    font-weight: 400;
    background-color: var(--e-global-color-primary);
    color: #fff;
}

.woocommerce-cart.woocommerce-page #content .woocommerce table.cart td.actions .button:hover {
    background-color: var(--e-global-color-164fcf6);
}

.woocommerce-cart.woocommerce-page #content .woocommerce table.cart td.actions .button:disabled {
    background-color: #e4e4e4;
    color: #363636;
}

.woocommerce-cart .woocommerce .wc-proceed-to-checkout a.checkout-button {
    border-radius: 0;
    background-color: var(--e-global-color-primary);
    color: #fff;
    font-weight: 400;
    text-transform: uppercase;
}

.woocommerce-cart .woocommerce .wc-proceed-to-checkout a.checkout-button:hover {
    background-color: var(--e-global-color-164fcf6);
}

@media (max-width: 767px) {
    .woocommerce-cart .woocommerce table td,
    .woocommerce-cart .woocommerce table th {
        border: none;
    }

    .woocommerce-cart.woocommerce-page #content .woocommerce table.cart tr {
        display: flex;
        flex-wrap: wrap;
        border-bottom: 1px solid #fff;
    }

    .woocommerce-cart.woocommerce-page #content .woocommerce table.cart tr td::before {
        float: none;
    }

    .woocommerce-cart.woocommerce-page #content .woocommerce table.cart tr:last-child {
        display: block;
    }

    .woocommerce-cart.woocommerce-page #content .woocommerce table.cart tr .product-remove {
        width: 48px;
    }

    .woocommerce-cart.woocommerce-page #content .woocommerce table.cart tr .product-thumbnail {
        width: 52px;
        display: block;
        padding: 8px;
    }

    .woocommerce-cart.woocommerce-page #content .woocommerce table.cart tr .product-thumbnail::before {
        content: '';
    }

    .woocommerce-cart.woocommerce-page #content .woocommerce table.cart tr .product-thumbnail img {
        width: 36px;
        display: block;
    }

    .woocommerce-cart.woocommerce-page #content .woocommerce table.cart tr .product-name {
        width: calc( 100% - 100px );
        display: flex;
        align-items: center;
        justify-content: flex-end;
    }

    .woocommerce-cart.woocommerce-page #content .woocommerce table.cart tr .product-price {
        width: calc( 55% + 24px );
        padding: 0 0 9px 54px;
        display: flex;
        align-items: center;
        justify-content: flex-start;
    }

    .woocommerce-cart.woocommerce-page #content .woocommerce table.cart tr .product-quantity {
        width: calc( 45% - 24px );
        padding: 0 9px 9px 0;
        display: flex;
        justify-content: flex-end;
        align-items: center;
    }

    .woocommerce-cart.woocommerce-page #content .woocommerce table.cart tr .product-subtotal {
        display: none;
    }
}

/*
 * Woocommerce Checkout
 */
.woocommerce .woocommerce-checkout #payment {
    border-radius: 0;
    background-color: #ececec;
}

.woocommerce form .form-row {
    padding: 3px 0;
}

.woocommerce-checkout.woocommerce-page .woocommerce .select2-container--default .select2-selection--single {
    
}

.woocommerce-checkout.woocommerce-page .woocommerce .select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 38px;
}

.woocommerce-checkout .custom-form-wrap {
    display: flex;
    margin: 0 -15px 80px;
}

.woocommerce-checkout .custom-form-wrap .cfw-cd {
    width: 50%;
    padding: 0 15px;
    margin-bottom: 40px;
}

.woocommerce-checkout .custom-form-wrap .cfw-or {
    width: 50%;
    padding: 0 15px;
    margin-bottom: 40px;
}

.woocommerce-checkout #ship-to-different-address {
    font-family: "din-2014", "Helvetica", "Arial", "sans-serif";
    font-weight: 400;
    font-size: 16px;
}

.woocommerce-checkout .custom-form-wrap .cfw-or table.shop_table {
    border: solid 1px #f2f2f2;
    margin: 0 0 24px;
    text-align: left;
    width: 100%;
    border-radius: 0;
}

.woocommerce-checkout .custom-form-wrap .cfw-or table td,
.woocommerce-checkout .custom-form-wrap .cfw-or table th {
    border: solid 1px #fff;
}

.woocommerce-checkout .custom-form-wrap table thead:first-child tr:first-child th {
    border-top: solid 1px #fff;
    background-color: #f2f2f2;
}


.woocommerce-checkout .custom-form-wrap table tbody>tr:nth-child(odd)>th,
.woocommerce-checkout .custom-form-wrap table tbody>tr:nth-child(odd)>td {
    background-color: #fff;
}

.woocommerce-checkout .custom-form-wrap table tbody tr:hover>td,
.woocommerce-checkout .custom-form-wrap table tbody tr:hover>th {
    background-color: #f7f7f7;
}

.woocommerce-checkout .custom-form-wrap .cfw-or table .cart-subtotal,
.woocommerce-checkout .custom-form-wrap .cfw-or table .shipping,
.woocommerce-checkout .custom-form-wrap .cfw-or table .order-total {
    background-color: #f2f2f2;
}

.woocommerce-checkout .custom-form-wrap .cfw-or #payment #place_order {
    padding: 16px;
    border-radius: 0;
    font-weight: 400;
    background-color: var(--e-global-color-primary);
    color: #fff;
    float: none;
}

.woocommerce-checkout .custom-form-wrap .cfw-or #payment #place_order:hover {
    background-color: var(--e-global-color-164fcf6);
}

@media (max-width: 767px) {
	.elementor-widget-wc-archive-products .products {
		grid-template-columns: repeat(1,1fr);	
	}
	
	.woocommerce ul.products li.product a.woocommerce-loop-product__link {
		box-shadow: 0 0 20px #0000001a;
	}
}

@media (max-width: 767px) {
    .woocommerce-checkout .custom-form-wrap {
        display: block;
        margin: 0 0 50px;
    }

    .woocommerce-checkout .custom-form-wrap .cfw-cd {
        width: 100%;
        padding: 0;
    }

    .woocommerce-checkout .custom-form-wrap .cfw-or {
        width: 100%;
        padding: 0;
    }
}

.woocommerce-checkout .custom-form-wrap .ui-dialog-titlebar {
    display: none;
}

.woocommerce-checkout .custom-form-wrap .woocommerce-form-coupon {
    margin-top: 12px;
}

@media (max-width: 991px) {
    .woocommerce-checkout .custom-form-wrap form .form-row-first {
        width: 100%;
    }

    .woocommerce-checkout .custom-form-wrap form .form-row-last {
        float: none;
    }
}

.woocommerce-checkout .woocommerce-billing-fields__field-wrapper {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.woocommerce-checkout .woocommerce-billing-fields__field-wrapper p.form-row {
    width: 100%;
}

.woocommerce-checkout .woocommerce-billing-fields__field-wrapper p.form-row .optional {
    display: none;
}

.woocommerce-checkout .custom-form-wrap .form-row .input-checkbox,
.woocommerce-checkout .custom-form-wrap .input-checkbox {
    margin: -2px 5px 0 0;
}

@media (max-width: 767px) {
	.woocommerce form.checkout_coupon .form-row-first {
		width: 100%;
		float: none;
	}
	
	.woocommerce form.checkout_coupon .form-row-last {
		float: none;
	}
}

/*
 * Woocommerce Thank you page
 */
.custom-thank-you-intro {
    /* display: flex; */
}

.custom-thank-you-intro .ctyi-left {
    /* width: 50%; */
}

.custom-thank-you-intro .ctyi-left ul {
    padding: 16px 0;
    margin-bottom: 20px;
}

.custom-thank-you-intro .ctyi-left ul.order_details li {
    float: none;
    margin-bottom: 8px;
    border-right: none;
    border-left: 1px dashed #d3ced2;
    padding-left: 20px;
}

.custom-thank-you-intro .ctyi-right {
    /* width: 50%; */
}

.custom-thank-you-intro .ctyi-right img {
    display: block;
}

.custom-thank-you-details {
    background-color: #f7f7f6;
    padding: 20px;
}


@media (min-width: 768px) {
    .custom-thank-you-intro {
        display: flex;
    }

    .custom-thank-you-intro .ctyi-left {
        width: 50%;
    }

    .custom-thank-you-intro .ctyi-right {
        width: 50%;
        align-self: center;
    }

    .custom-thank-you-details {
        padding: 40px;
    }
}

/* 
 * Content Product (tile) css 
 */
.woocommerce ul.products li.product a.woocommerce-loop-product__link {
	display: block;
	padding: 20px;
	border-radius: 22px;
	text-align: center;
	color: var(--e-global-color-primary );
	transition: .2s;
}

.woocommerce ul.products li.product a.woocommerce-loop-product__link:hover {
	box-shadow: 0 0 20px #0000001a;	
}

.woocommerce ul.products li.product a.woocommerce-loop-product__link:hover img {
	transform: scale(1.03);
}

.woocommerce ul.products li.product a.woocommerce-loop-product__link .onsale {
	background-color: var(--e-global-color-accent );
	color: var(--e-global-color-primary );
}

.woocommerce ul.products li.product a.woocommerce-loop-product__link img {
	display: block;
	aspect-ratio: 1/1;
	object-fit: contain;
	transition: .2s;
	margin-bottom: 6px;
}

.woocommerce ul.products li.product a.woocommerce-loop-product__link .content-product-sold-out {
	position: absolute;
    top: 0;
    right: 0;
    font-weight: 400;
    font-size: 14px;
    background: var(--e-global-color-primary);
    color: #fff;
    padding: 4px 8px;
    border-radius: 2px;
}

.woocommerce ul.products li.product a.woocommerce-loop-product__link .content-product-category {
	font-size: 15px;
    text-transform: none;
	margin-bottom: 6px;
}

.woocommerce ul.products li.product a.woocommerce-loop-product__link .content-product-title {
	font-family: 'poppins';
    font-weight: 500;
	margin-bottom: 10px;
}

.woocommerce ul.products li.product a.woocommerce-loop-product__link .content-product-price {
	font-family: 'poppins';
    font-weight: 400;
}

.woocommerce ul.products li.product a.woocommerce-loop-product__link .content-product-price del {
    color: #bfbfbf;
    transition: .2s;
}

.woocommerce ul.products li.product a.woocommerce-loop-product__link .content-product-price ins {
    text-decoration: none;
}

/* Woocommerce Breadcrumbs */
.woocommerce nav.woocommerce-pagination ul {
	border: none;
}

.woocommerce nav.woocommerce-pagination ul li {
	color: var(--e-global-color-primary );
	font-family: 'poppins';
	border: none;
	border-radius: 6px;
	margin: 0 2px;
	min-width: 28px;
	text-align: center;
}

.woocommerce nav.woocommerce-pagination ul li a {
	color: var(--e-global-color-primary );
	font-family: 'poppins';
	border: none;
	border-radius: 6px;
}

.woocommerce nav.woocommerce-pagination ul li a:focus, 
.woocommerce nav.woocommerce-pagination ul li a:hover, 
.woocommerce nav.woocommerce-pagination ul li span.current {
	background-color: var(--e-global-color-accent );
	color: var(--e-global-color-primary );
}

/* Woocommerce Account */
body:not(.logged-in) .site-main.post-270 {
	max-width: 700px;	
}


/* Gravity Forms Styling */
.heabb-form_wrapper .gform_validation_errors {
	display: none;
}

.heabb-form {
	--gf-form-gap-y: 14px;
}

.heabb-form .gf_progressbar_title {
	color: #2f4f5a;
	font-size: 18px;
}

.heabb-form_wrapper .gform_required_legend {
	display: none !important;	
}

.heabb-form .gfield .gfield_required {
	font-size: 20px	
}

.heabb-form-show-label .gfield label {
	display: block;	
}

.heabb-form .gfield label,
.heabb-form .gfield legend {
  	font-family: "Akatab", Sans-serif !important;
	font-size: 18px;
	color: #212f3d;
}

.heabb-form .gfield .ginput_container input,
.heabb-form .gfield .ginput_container textarea,
.heabb-form .gfield.gfield--type-select select {
	color: #7e7e7e;
	background-color: #fff;
	border: 1px solid #212f3d;
	/*box-shadow: none;*/
	height: unset;
	padding: 4px 20px;
	border-radius: 9px;
  	font-family: "Poppins", Sans-serif !important;
	font-size: 16px;
}

.heabb-form .gfield .ginput_container textarea {
	padding: 12px 20px;
	height: 140px;
}

.heabb-form .gfield.gfield--type-select label {
	display: block;
  	font-family: "Poppins", Sans-serif !important;
	font-size: 17px;
	color: #212f3d;
}

.heabb-form .gfield .gfield_checkbox input {
	border-radius: 2px;
	padding: 0;
}

.heabb-form .gfield .gfield_radio input {
	border-radius: 100%;
	padding: 0;
	width: 24px;
	height: 24px;
}

.heabb-form .gfield .gfield_checkbox input::before {
	color: #212f3d;
}

.heabb-form .gfield .gfield_radio input::before {
	background-color: #212f3d;
}

.heabb-form .gfield .gfield_checkbox label,
.heabb-form .gfield .gfield_radio label {
	display: block;
	cursor: pointer;
	color: #212f3d;
}

.heabb-form_wrapper .heabb-form .gform_footer input.button,
.heabb-form_wrapper .heabb-form .gform_page_footer input.button {
  color: #fff !important;
  background-color: #d99a64 !important;
  transition: 0.3s ease;
  border-radius: 8px !important;
  font-family: "Poppins", Sans-serif !important;
  font-weight: 700 !important;
	text-transform: uppercase !important;
  text-decoration: none;
  padding: 0.8em 1.8em !important;
  border: none;
  cursor: pointer;
  font-size: 17px !important;
}

.heabb-form_wrapper .heabb-form .gform_footer input.button:hover,
.heabb-form_wrapper .heabb-form .gform_page_footer input.button:hover {
  background-color: #d99a64 !important;
}
